curl --request GET \
--url https://padelapi.org/api/players \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/players"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://padelapi.org/api/players",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://padelapi.org/api/players"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://padelapi.org/api/players")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://padelapi.org/api/players")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"short_name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"category": "men",
"nationality": "<string>",
"ranking": "<string>",
"points": 123,
"elo": 123,
"height": 123,
"side": "drive",
"hand": "left",
"birthplace": "<string>",
"birthdate": "<string>",
"age": "<string>",
"links": "<string>",
"updated_at": "<string>",
"connections": {
"matches": "<string>",
"rankings": "<string>",
"pairs": "<string>",
"rivals": "<string>",
"stats": "<string>",
"form": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}List Players
Endpoint to retrieve professional padel players with filtering options by name, nationality, category, birthplace, and playing side.
curl --request GET \
--url https://padelapi.org/api/players \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/players"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://padelapi.org/api/players",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://padelapi.org/api/players"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://padelapi.org/api/players")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://padelapi.org/api/players")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"self": "<string>",
"name": "<string>",
"short_name": "<string>",
"url": "<string>",
"photo_url": "<string>",
"category": "men",
"nationality": "<string>",
"ranking": "<string>",
"points": 123,
"elo": 123,
"height": 123,
"side": "drive",
"hand": "left",
"birthplace": "<string>",
"birthdate": "<string>",
"age": "<string>",
"links": "<string>",
"updated_at": "<string>",
"connections": {
"matches": "<string>",
"rankings": "<string>",
"pairs": "<string>",
"rivals": "<string>",
"stats": "<string>",
"form": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Player ID(s) to filter by. Accepts comma-separated values (e.g. 1,2,3) or repeated parameters (e.g. id[]=1&id[]=2). IDs that don't exist are left out.
Name of the player to search for. To search for multiple players, separate names with commas (e.g. coello,tapia) or repeat the parameter (e.g. name[]=coello&name[]=tapia).
2 letters country-code of the player.
2Category of the player. Either men or women.
men, women Name of the birthplace of the player.
Side of the player, either drive or backhand.
drive, backhand Filter players updated after this datetime in ISO 8601 format.
Filter players updated before this datetime in ISO 8601 format.
Name of the parameter to sort the tournaments by.
name, ranking, points, elo, height, birthdate, updated_at Order of the sorting, either asc or desc.
asc, desc Page number to return, starting at 1.
x >= 1Number of results per page, from 1 to 50. Larger values return 50.
x >= 1